/* -*- C++ -*-
 *
 * Copyright (C) 2002 Jean-Daniel Fekete
 * 
 * This file is part of MillionVis.
 * 
 * MillionVis is free software; you can redistribute it and/or modify it
 * under the terms of the GNU General Public License as published by the
 * Free Software Foundation; either version 2, or (at your option) any
 * later version.
 * 
 * MillionVis is distributed in the hope that it will be useful, but
 * WITHOUT ANY WARRANTY; without even the implied warranty of
 * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the GNU
 * General Public License for more details.
 * 
 * You should have received a copy of the GNU General Public License
 * along with MillionVis; see the file COPYING.  If not, write to the
 * Free Software Foundation, 59 Temple Place - Suite 330, Boston, MA
 * 02111-1307, USA. 
 */
#ifndef INFOVIS_INFOVIS_HPP
#define INFOVIS_INFOVIS_HPP

/*! \mainpage The InfoVis library
*
* \section Introduction
*
* The InfoVis library is designed to build information visualization programs
* that can visualize around one million items with a decent
* interaction speed.  It relies on the OpenGL graphics library for
* rendering, as well as several external libraries:
* - glut on top of OpenGL for ease of use
* - freetype for font rendering
* - the Boehm-Weiser garbage collector for C and C++ to simplify the
*   programming
* - the Boost C++ libraries
* - the ZLib library for compressing and uncompressing files
* - the PNG library for loading and saving PNG images
* - the Expat XML parser in C.
*
*/

/**
 *  The <b>infovis</b> namespace contains all the definitions related
 *  to information visualization.
 */
namespace infovis {

}  // namespace infovis

#endif // INFOVIS_INFOVIS_HPP
