/* -*- C++ -*-
 *
 * Copyright (C) 2002 Jean-Daniel Fekete
 * 
 * This file is part of MillionVis.
 * 
 * MillionVis is free software; you can redistribute it and/or modify it
 * under the terms of the GNU General Public License as published by the
 * Free Software Foundation; either version 2, or (at your option) any
 * later version.
 * 
 * MillionVis is distributed in the hope that it will be useful, but
 * WITHOUT ANY WARRANTY; without even the implied warranty of
 * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the GNU
 * General Public License for more details.
 * 
 * You should have received a copy of the GNU General Public License
 * along with MillionVis; see the file COPYING.  If not, write to the
 * Free Software Foundation, 59 Temple Place - Suite 330, Boston, MA
 * 02111-1307, USA. 
 */
#ifndef TREEMAP_LITESPEED_HPP
#define TREEMAP_LITESPEED_HPP

#include <infovis/drawing/lite/LiteBounded.hpp>
#include <infovis/drawing/inter/Interactor3States.hpp>
#include <types.hpp>
#include <LiteTreemap.hpp>
#include <vector>

namespace infovis {

class LiteSpeed : public LiteBounded,
		  public Interactor3States
{
public:
  LiteSpeed(LiteTreemap * tm, const Box& bounds, Font * font);

  void doRender(const RenderContext& rc);
  Lite * clone() const;
  Interactor * interactor(const string& name, int tool_id);
  
  LiteTreemap* getTreemap() const;
  void setTreemap(LiteTreemap* v);

  // Interactor3States
  virtual void doFinish(const Event&);
  
protected:
  LiteTreemap * tm_;
  Font * font_;
  std::vector<float> bars_;
};

} // namespace infovis

#endif // TREEMAP_LITESPEED_HPP
